Bug 867893 - samba-winbind package wants /var/log/samba
samba-winbind package wants /var/log/samba
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba4 (Show other bugs)
18
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 868248
  Show dependency treegraph
 
Reported: 2012-10-18 09:56 EDT by Stijn Hoop
Modified: 2012-12-20 11:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 868248 (view as bug list)
Environment:
Last Closed: 2012-12-20 11:13:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stijn Hoop 2012-10-18 09:56:27 EDT
samba-winbind by default logs to /var/log/samba, however the package does not have a dependency on the samba package which includes the /var/log/samba dir.

Two possible resolutions:

- include the dependency on samba-4.0.0 package
- move /var/log/samba to the samba-common package (my preferred solution)

I noticed this in journalctl on an up to date F18:

Oct 18 15:53:21 pclin282.win.tue.nl winbindd[8659]: [2012/10/18 15:53:21.020571,  0] ../lib/util/debug.c:592(reopen_logs_internal)
Oct 18 15:53:21 pclin282.win.tue.nl winbindd[8659]: Unable to open new log file '/var/log/samba/log.winbindd-idmap': No such file or directory
Comment 1 Fedora Update System 2012-10-19 08:12:43 EDT
samba-4.0.0-160.fc18.rc3 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.0-160.fc18.rc3
Comment 2 Fedora Update System 2012-10-19 11:44:33 EDT
Package samba-4.0.0-160.fc18.rc3:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-4.0.0-160.fc18.rc3'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16465/samba-4.0.0-160.fc18.rc3
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 11:14:01 EST
samba-4.0.0-160.fc18.rc3 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.